com.verisign.epp.codec.verificationcode

## Class EPPVerificationCodeInfo

- java.lang.Object
- - com.verisign.epp.codec.verificationcode.EPPVerificationCodeInfo

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPVerificationCodeInfo
      extends java.lang.Object
      implements EPPCodecComponent

  Extension to the info command to retrieve the verification information for the verification profile assigned to the client or using the verification profile explicitly specified.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the verification code info extension local name
    `static java.lang.String` | `ELM_NAME` Constant for the verification code info extension tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPVerificationCodeInfo()` Create an `EPPVerificationCodeInfo` instance.
    `EPPVerificationCodeInfo(java.lang.String aProfile)` Create a `EPPVerificationCodeInfo` instance with the optional client specified profile.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPVerificationCodeInfo`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the DOM element to the `EPPVerificationCodeInfo`.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode the `EPPVerificationCodeInfo` to a DOM Element
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPVerificationCodeInfo` compare.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getProfile()` Gets the client specified profile to base the verification information on.
    `boolean` | `hasProfile()` Is the verification profile defined?
    `void` | `setProfile(java.lang.String aProfile)` Sets the client specified profile to base the verification information on.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the verification code info extension local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the verification code info extension tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPVerificationCodeInfo

          public EPPVerificationCodeInfo()

      Create an `EPPVerificationCodeInfo` instance.

    - #### EPPVerificationCodeInfo

          public EPPVerificationCodeInfo(java.lang.String aProfile)

      Create a `EPPVerificationCodeInfo` instance with the optional client specified profile.
      Parameters:
        `aProfile` - Profile to base the verification information on.

  - ### Method Detail

    - #### hasProfile

          public boolean hasProfile()

      Is the verification profile defined?
      Returns:
        `true` if the verification profile is defined; `false` otherwise.

    - #### getProfile

          public java.lang.String getProfile()

      Gets the client specified profile to base the verification information on.
      Returns:
        Verification profile if defined; `null` otherwise.

    - #### setProfile

          public void setProfile(java.lang.String aProfile)

      Sets the client specified profile to base the verification information on.
      Parameters:
        `aProfile` - Profile to base the verification information on.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPVerificationCodeInfo`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPVerificationCodeInfo`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode the `EPPVerificationCodeInfo` to a DOM Element
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the DOM element to the `EPPVerificationCodeInfo`.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - DOM Element to decode the attribute values
      Throws:
        `EPPDecodeException` - Error decoding the DOM Element

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPVerificationCodeInfo` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPVerificationCodeInfo` instance to compare with
      Returns:
        true if equal false otherwise

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.